<template>
  <lazy-theme-mobile-pure-login v-if="theme === 'mobile/pure'" />
  <lazy-theme-desktop-pure-login v-else-if="theme === 'desktop/pure'" />
  <lazy-theme-mobile-modern-login v-else-if="theme === 'mobile/modern'" />
  <!-- <lazy-theme-desktop-modern-login v-else-if="theme === 'desktop/modern'" /> -->
  <lazy-theme-desktop-china-login v-else-if="theme === 'desktop/china'" />
  <lazy-theme-mobile-china-login v-else-if="theme === 'mobile/china'" />
  <lazy-theme-mobile-black-login v-else-if="theme === 'mobile/black'" />
  <lazy-theme-mobile-main-login v-else-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-main-login v-else-if="theme === 'mobile/playful'" />
  <lazy-theme-desktop-peru-login v-else-if="theme.includes('/peru')" />
  <theme-common-login v-else />
</template>
<script lang="ts" setup>
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
